<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ObjectData (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ObjectData (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":18,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],16:["t5","Default Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ObjectData.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/Name.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/PageOrder.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/ObjectData.html" target="_top">Frames</a>
        </li>
        <li><a href="ObjectData.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel</div>
    <h2 title="Interface ObjectData" class="title">Interface ObjectData</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Superinterfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                           title="interface in org.apache.poi.ss.usermodel">Shape</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/SimpleShape.html"
                            title="interface in org.apache.poi.ss.usermodel">SimpleShape</a></dd>
                </dl>
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFObjectData.html"
                           title="class in org.apache.poi.hssf.usermodel">HSSFObjectData</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFObjectData</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">ObjectData</span>
extends <a href="../../../../../org/apache/poi/ss/usermodel/SimpleShape.html"
           title="interface in org.apache.poi.ss.usermodel">SimpleShape</a></pre>
                <div class="block">Common interface for OLE shapes, i.e. shapes linked to embedded documents</div>
                <dl>
                    <dt><span class="simpleTagLabel">Since:</span></dt>
                    <dd>POI 3.16-beta2</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t5" class="tableTab"><span><a
                                    href="javascript:show(16);">Default Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>default java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html#getContentType--">getContentType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html#getDirectory--">getDirectory</a></span>()</code>
                                    <div class="block">Gets the object data.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html#getFileName--">getFileName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html#getObjectData--">getObjectData</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html#getOLE2ClassName--">getOLE2ClassName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.ss.usermodel">PictureData</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html#getPictureData--">getPictureData</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html#hasDirectoryEntry--">hasDirectoryEntry</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.SimpleShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/SimpleShape.html"
                                        title="interface in org.apache.poi.ss.usermodel">SimpleShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/SimpleShape.html#getShapeId--">getShapeId</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.Shape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                        title="interface in org.apache.poi.ss.usermodel">Shape</a></h3>
                                <code><a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#isNoFill--">isNoFill</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setFillColor-int-int-int-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setLineStyleColor-int-int-int-">setLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setNoFill-boolean-">setNoFill</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getObjectData--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getObjectData</h4>
                                <pre>byte[]&nbsp;getObjectData()
              throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the data portion, for an ObjectData that doesn't have an associated POIFS
                                        Directory Entry
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hasDirectoryEntry--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasDirectoryEntry</h4>
                                <pre>boolean&nbsp;hasDirectoryEntry()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>does this ObjectData have an associated POIFS Directory Entry?
                                        (Not all do, those that don't have a data portion)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDirectory--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDirectory</h4>
                                <pre><a href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>&nbsp;getDirectory()
                     throws java.io.IOException</pre>
                                <div class="block">Gets the object data. Only call for ones that have
                                    data though. See <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html#hasDirectoryEntry--"><code>hasDirectoryEntry()</code></a>.
                                    The caller has to close the corresponding POIFSFileSystem
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the object data as an OLE2 directory.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if there was an error reading the data.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOLE2ClassName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOLE2ClassName</h4>
                                <pre>java.lang.String&nbsp;getOLE2ClassName()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the OLE2 Class Name of the object</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFileName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFileName</h4>
                                <pre>java.lang.String&nbsp;getFileName()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a filename suggestion - inspecting/interpreting the Directory object probably
                                        gives a better result
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPictureData--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPictureData</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.ss.usermodel">PictureData</a>&nbsp;getPictureData()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the preview picture</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getContentType--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getContentType</h4>
                                <pre>default&nbsp;java.lang.String&nbsp;getContentType()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ObjectData.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/Name.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/PageOrder.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/ObjectData.html" target="_top">Frames</a>
        </li>
        <li><a href="ObjectData.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
